Qyra
ReferenceContent

Update pinned items order

Update pinned items order

PATCH/api/v1/projects/{projectUuid}/pinned-lists/{pinnedListUuid}/items/order

Authentication: personal access token. The spec defines an api_key security scheme — send an Authorization: ApiKey <your-personal-access-token> header (value format: ApiKey <your key>). A session_cookie scheme (connect.sid) exists for browser sessions. Operations in this spec declare security: [], an artifact of the upstream spec generator — authentication is still enforced by the server.

Path parameters

NameTypeRequiredDescription
projectUuidstringYesproject uuid
pinnedListUuidstringYesthe list uuid for the pinned items

Request body

[
  {
    "data": {
      "uuid": "string",
      "pinnedListOrder": 0
    },
    "type": "chart"
  }
]

Responses

200 — Success

{
  "results": [
    {
      "category": "mostPopular",
      "data": {
        "name": "string",
        "description": "string",
        "slug": "string",
        "updatedAt": "2024-01-01T00:00:00.000Z",
        "verification": {
          "verifiedAt": "2024-01-01T00:00:00.000Z",
          "verifiedBy": {
            "lastName": "string",
            "firstName": "string",
            "userUuid": "string"
          }
        },
        "uuid": "string",
        "pinnedListUuid": "string",
        "pinnedListOrder": 0,
        "updatedByUser": {
          "userUuid": "string",
          "firstName": "string",
          "lastName": "string"
        },
        "spaceUuid": "string",
        "views": 0,
        "firstViewedAt": "string",
        "owner": {
          "email": "string",
          "lastName": "string",
          "firstName": "string",
          "userUuid": "string"
        },
        "validationErrors": [
          {
            "error": "string",
            "createdAt": "2024-01-01T00:00:00.000Z",
            "validationUuid": "string",
            "validationId": 0
          }
        ]
      },
      "type": "dashboard"
    }
  ],
  "status": "ok"
}

default — Error

{
  "error": {
    "data": "string",
    "message": "string",
    "name": "string",
    "statusCode": 0
  },
  "status": "error"
}